Skip to main content
GET
/
orders
/
pendingOrders
cURL
curl --request GET \
  --url https://api.getjusto.com/api/v2/orders/pendingOrders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "storeIds": [
    "<string>"
  ]
}
'
import requests

url = "https://api.getjusto.com/api/v2/orders/pendingOrders"

payload = { "storeIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({storeIds: ['<string>']})
};

fetch('https://api.getjusto.com/api/v2/orders/pendingOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok",
  "data": [
    {
      "_id": "<string>",
      "orderStatus": "<string>",
      "isScheduled": true,
      "websiteId": "<string>",
      "code": "<string>",
      "createdAt": "<string>",
      "fullCode": "<string>",
      "userId": "<string>",
      "storeId": "<string>",
      "address": {
        "_id": "<string>",
        "placeId": "<string>",
        "address": "<string>",
        "addressSecondary": "<string>",
        "location": {
          "lat": 123,
          "lng": 123
        },
        "streetAddress": "<string>",
        "locality": "<string>",
        "region": "<string>",
        "postalCode": "<string>",
        "directions": {
          "duration": 123,
          "distance": 123
        }
      },
      "menuId": "<string>",
      "deliveryType": "<string>",
      "deliverAt": "2023-11-07T05:31:56Z",
      "paymentType": "<string>",
      "paymentTypeLabel": "<string>",
      "paymentTypeIsIntegration": true,
      "otherPaymentType": "<string>",
      "amountToPay": 123,
      "deliveryFee": 123,
      "deliveryFeeWithoutDiscount": 123,
      "serviceFee": 123,
      "itemsPrice": 123,
      "totalPrice": 123,
      "totalPriceBeforeDiscountsAfterProductDiscount": 123,
      "discountedAmountAfterProductDiscount": 123,
      "justoCoinsDiscount": 123,
      "invoiceTotalPrice": 123,
      "amountFinancedByWebsite": 123,
      "amountFinancedByJusto": 123,
      "expectedPreparationDuration": 123,
      "deliveryDuration": 123,
      "cardId": "<string>",
      "channel": "<string>",
      "source": "<string>",
      "buyerName": "<string>",
      "couponId": "<string>",
      "couponName": "<string>",
      "couponDiscount": 123,
      "flagColor": "<string>",
      "store": {
        "_id": "<string>",
        "websiteId": "<string>",
        "name": "<string>",
        "acceptDelivery": true,
        "currentPreparationDuration": 123,
        "currentDeliveryDuration": 123,
        "phone": "<string>",
        "address": {
          "_id": "<string>",
          "placeId": "<string>",
          "address": "<string>",
          "addressSecondary": "<string>",
          "location": {
            "lat": 123,
            "lng": 123
          },
          "streetAddress": "<string>",
          "locality": "<string>",
          "region": "<string>",
          "postalCode": "<string>",
          "directions": {
            "duration": 123,
            "distance": 123
          }
        },
        "externalId": "<string>",
        "schedule": {
          "closedDays": "<array>",
          "availableAtPeriods": true,
          "openPeriods": [
            {
              "daysOfWeek": [
                123
              ],
              "fromMinute": 123,
              "toMinute": 123,
              "specialPeriods": "<array>",
              "timezone": "<string>",
              "availableStateValidUntil": "<string>",
              "isAvailableNow": true,
              "updatedCacheAt": "<string>"
            }
          ]
        }
      },
      "items": [
        {
          "product": {
            "_id": "<string>",
            "name": "<string>",
            "externalId": "<string>"
          },
          "unitPrice": 123,
          "baseUnitPrice": 123,
          "productPrice": 123,
          "baseProductPrice": 123,
          "amount": 123,
          "comment": "<string>",
          "modifiers": "<array>",
          "options": "<array>"
        }
      ],
      "transaction": {},
      "devolutions": [
        {
          "_id": "<string>",
          "amount": 123,
          "completedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z"
        }
      ],
      "deliveries": [
        {}
      ],
      "charges": {
        "platformFee": {
          "amount": 123,
          "totalAmount": 123,
          "tax": 123,
          "count": 123
        }
      },
      "orderParams": {
        "isGift": true
      },
      "billing": {},
      "clonedOrder": {},
      "parentOrder": {},
      "hasManagedDelivery": true,
      "loyaltyTransaction": {},
      "cancellationInfo": {},
      "websiteCoinsDiscount": 123
    }
  ]
}
{
"status": "error",
"error": "Error en la petición"
}
{
"status": "error",
"error": "Unauthorized"
}

Descripción

El método permite obtener un listado de todos los pedidos “pendientes” o “programados” que se encuentran en estado “en curso”, en uno o más locales de uno o varios establecimientos.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
storeIds
string[]

ID de la tienda

Response

success

status
string

Resultado de la operación

Example:

"ok"

data
object[]